[ 
https://issues.apache.org/jira/browse/AVRO-2737?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17035650#comment-17035650
 ] 

Michael A. Smith commented on AVRO-2737:
----------------------------------------

This should have been fixed in AVRO-2576. Maybe it was broken in a cherry pick 
or something?

> Avro Python3 - Unable to install after updating to 1.9.2
> --------------------------------------------------------
>
>                 Key: AVRO-2737
>                 URL: https://issues.apache.org/jira/browse/AVRO-2737
>             Project: Apache Avro
>          Issue Type: Bug
>          Components: python
>    Affects Versions: 1.9.2
>         Environment: * Python 3.6.9 
>  * Ubuntu Release: 18.04
>  * pip 18.0
>            Reporter: Rinciog Octavian
>            Priority: Critical
>
> Hi!
> I am unable to install 1.9.2 version of avro-python3.
>  
> {code:java}
> octavian@machine:~/test$ pip install avro-python3
> Requirement already satisfied: avro-python3 in 
> /usr/local/lib/python3.6/dist-packages (1.9.1)
> octavian@machine:~/test$ pip install avro-python3==1.9.2
> Collecting avro-python3==1.9.2
>  Downloading 
> https://files.pythonhosted.org/packages/31/21/d98e2515e5ca0337d7e747e8065227ee77faf5c817bbb74391899613178a/avro-python3-1.9.2.tar.gz
>  Complete output from command python setup.py egg_info:
>  Traceback (most recent call last):
>  File "<string>", line 1, in <module>
>  File "/tmp/pip-install-y5ixn9gd/avro-python3/setup.py", line 41, in <module>
>  import pycodestyle
>  ModuleNotFoundError: No module named 'pycodestyle'
>  
>  ----------------------------------------
> Command "python setup.py egg_info" failed with error code 1 in 
> /tmp/pip-install-y5ixn9gd/avro-python3/
> octavian@machine:~/test$ pip3 --version
> pip 18.0 from /usr/local/lib/python3.6/dist-packages/pip (python 3.6)
>  
> {code}
> You can test it with the following dockerfile:
> {code:java}
> FROM python:3
> RUN pip install avro-python3==1.9.2{code}
> This affects all installs of *confluent-python[avro]* pip module. 
>   



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Reply via email to